Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javafe.ast
Class OperatorTags

    java.lang.Object
      javafe.ast.GeneratedTags
          javafe.ast.OperatorTags

Direct Known Subclasses:
  TagConstants

public class OperatorTags
extends GeneratedTags

`OperatorTags` is a class defining a partially-opaque type for tags used in the AST. See `TagConstants` for more information.

Field Summary
`static int` | `ADD`
`static int` | `AND`
`static int` | `ASGADD`
`static int` | `ASGBITAND`
`static int` | `ASGBITOR`
`static int` | `ASGBITXOR`
`static int` | `ASGDIV`
`static int` | `ASGLSHIFT`
`static int` | `ASGMUL`
`static int` | `ASGREM`
`static int` | `ASGRSHIFT`
`static int` | `ASGSUB`
`static int` | `ASGURSHIFT`
`static int` | `ASSIGN`
`static int` | `BITAND`
`static int` | `BITNOT`
`static int` | `BITOR`
`static int` | `BITXOR`
`static int` | `DEC`
`static int` | `DIV`
`static int` | `EQ`
`static int` | `FIRST_TAG`
`static int` | `GE`
`static int` | `GT`
`static int` | `INC`
`static int` | `LAST_TAG`
`static int` | `LE`
`static int` | `LSHIFT`
`static int` | `LT`
`static int` | `MOD`
`static int` | `NE`
`static int` | `NOT`
`private static java.lang.String[]` | `opStrings`
`static int` | `OR`
`static int` | `POSTFIXDEC`
`static int` | `POSTFIXINC`
`static int` | `RSHIFT`
`static int` | `STAR`
`static int` | `SUB`
`static int` | `UNARYADD`
`static int` | `UNARYSUB`
`static int` | `URSHIFT`

Fields inherited from class javafe.ast.GeneratedTags
`AMBIGUOUSMETHODINVOCATION, AMBIGUOUSVARIABLEACCESS, ARRAYINIT, ARRAYREFEXPR, ARRAYTYPE, ASSERTSTMT, BLOCKSTMT, BREAKSTMT, CASTEXPR, CATCHCLAUSE, CLASSDECL, CLASSDECLSTMT, CLASSLITERAL, COMPILATIONUNIT, COMPOUNDNAME, CONDEXPR, CONSTRUCTORDECL, CONSTRUCTORINVOCATION, CONTINUESTMT, DOSTMT, ERRORTYPE, EVALSTMT, EXPROBJECTDESIGNATOR, FIELDACCESS, FIELDDECL, FORMALPARADECL, FORSTMT, IFSTMT, INITBLOCK, INSTANCEOFEXPR, INTERFACEDECL, LABELSTMT, LOCALVARDECL, METHODDECL, METHODINVOCATION, NEWARRAYEXPR, NEWINSTANCEEXPR, ONDEMANDIMPORTDECL, PARENEXPR, RETURNSTMT, SIMPLENAME, SINGLETYPEIMPORTDECL, SKIPSTMT, SUPEROBJECTDESIGNATOR, SWITCHLABEL, SWITCHSTMT, SYNCHRONIZESTMT, THISEXPR, THROWSTMT, TRYCATCHSTMT, TRYFINALLYSTMT, TYPENAME, TYPEOBJECTDESIGNATOR, VARDECLSTMT, VARIABLEACCESS, WHILESTMT`

Constructor Summary
`OperatorTags()`

Method Summary
`static java.lang.String` | `toString(int opTag)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FIRST_TAG

    public static final int FIRST_TAG

See Also:
  Constant Field Values

### OR

    public static final int OR

See Also:
  Constant Field Values

### AND

    public static final int AND

See Also:
  Constant Field Values

### BITOR

    public static final int BITOR

See Also:
  Constant Field Values

### BITXOR

    public static final int BITXOR

See Also:
  Constant Field Values

### BITAND

    public static final int BITAND

See Also:
  Constant Field Values

### NE

    public static final int NE

See Also:
  Constant Field Values

### EQ

    public static final int EQ

See Also:
  Constant Field Values

### GE

    public static final int GE

See Also:
  Constant Field Values

### GT

    public static final int GT

See Also:
  Constant Field Values

### LE

    public static final int LE

See Also:
  Constant Field Values

### LT

    public static final int LT

See Also:
  Constant Field Values

### LSHIFT

    public static final int LSHIFT

See Also:
  Constant Field Values

### RSHIFT

    public static final int RSHIFT

See Also:
  Constant Field Values

### URSHIFT

    public static final int URSHIFT

See Also:
  Constant Field Values

### ADD

    public static final int ADD

See Also:
  Constant Field Values

### SUB

    public static final int SUB

See Also:
  Constant Field Values

### DIV

    public static final int DIV

See Also:
  Constant Field Values

### MOD

    public static final int MOD

See Also:
  Constant Field Values

### STAR

    public static final int STAR

See Also:
  Constant Field Values

### ASSIGN

    public static final int ASSIGN

See Also:
  Constant Field Values

### ASGMUL

    public static final int ASGMUL

See Also:
  Constant Field Values

### ASGDIV

    public static final int ASGDIV

See Also:
  Constant Field Values

### ASGREM

    public static final int ASGREM

See Also:
  Constant Field Values

### ASGADD

    public static final int ASGADD

See Also:
  Constant Field Values

### ASGSUB

    public static final int ASGSUB

See Also:
  Constant Field Values

### ASGLSHIFT

    public static final int ASGLSHIFT

See Also:
  Constant Field Values

### ASGRSHIFT

    public static final int ASGRSHIFT

See Also:
  Constant Field Values

### ASGURSHIFT

    public static final int ASGURSHIFT

See Also:
  Constant Field Values

### ASGBITAND

    public static final int ASGBITAND

See Also:
  Constant Field Values

### ASGBITOR

    public static final int ASGBITOR

See Also:
  Constant Field Values

### ASGBITXOR

    public static final int ASGBITXOR

See Also:
  Constant Field Values

### UNARYADD

    public static final int UNARYADD

See Also:
  Constant Field Values

### UNARYSUB

    public static final int UNARYSUB

See Also:
  Constant Field Values

### NOT

    public static final int NOT

See Also:
  Constant Field Values

### BITNOT

    public static final int BITNOT

See Also:
  Constant Field Values

### INC

    public static final int INC

See Also:
  Constant Field Values

### DEC

    public static final int DEC

See Also:
  Constant Field Values

### POSTFIXINC

    public static final int POSTFIXINC

See Also:
  Constant Field Values

### POSTFIXDEC

    public static final int POSTFIXDEC

See Also:
  Constant Field Values

### LAST_TAG

    public static final int LAST_TAG

See Also:
  Constant Field Values

### opStrings

    private static final java.lang.String[] opStrings

Constructor Detail

### OperatorTags

    public OperatorTags()

Method Detail

### toString

    public static java.lang.String toString(int opTag)

  Returns:
    the text representation of `code`. For example, return the string "=" for the tag `ASSIGN`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

The ESC/Java2 Project Homepage